Skip to Content

Get Payment

GET/payments/:paymentId

Description

Retrieve the details of an existing payment by its unique identifier. This is useful for checking the current status of a payment along with the token and chain detected on-chain and the contract deposit address.

Headers

HeaderDescriptionRequired
AuthorizationBearer token with your API keyyes

Path Parameters

NameTypeDescriptionRequired
paymentIdstringThe unique identifier of the payment.yes

Example Request

const response = await fetch('https://checkout-api.exodus-int.com/payments/tz4a98xxat96iws9zmbrgj3a', {
  headers: {
    Authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxx',
  },
});

Response

SUCCESSFUL RESPONSE
{
  "id": "tz4a98xxat96iws9zmbrgj3a",
  "object": "payment",
  "status": "settled",
  "payment_method": "two_step",
  "detected_token": "USDC",
  "detected_token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
  "detected_chain": "eip155:1",
  "token_amount": "5000000",
  "token_amount_decimal": "5",
  "deposit_address": "0x5fbdb2315678afecb367f032d93f642f64180aa3",
  "payer_addresses": ["0x742d35Cc6634C0532925a3b844Bc9e7595f8fE21"],
  "on_chain_id": "0x1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b",
  "created_at": "2024-01-15T12:30:00Z",
  "flagged": false
}

Error Responses

NOT FOUND
{
  "error": {
    "type": "not_found",
    "message": "Payment not found"
  }
}

Start building

XO

Request Demo

Schedule a call with our team

Select a product
Arrow right

Start building
Grateful

Contact Us

We're here to help